curl --request POST \
--url https://qall.io/api/assistants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"name": "<string>",
"assigned_documents": [
123
],
"assigned_tools": [
123
],
"custom_settings": {},
"description": "<string>",
"idle_message": "Are you still there? I'm here to help if you need anything.",
"idle_timeout": 123,
"interruption_settings": {
"allow_interruptions": true,
"allow_welcome_interruption": true,
"false_interruption_timeout": 2,
"min_interruption_duration": 0.5,
"min_interruption_words": 1,
"resume_false_interruption": true
},
"is_active": true,
"llm_fallback_providers": {
"enabled": false,
"fallbacks": [
{
"provider": "<string>",
"api_key": "<string>",
"base_url": "<string>",
"model": "<string>"
}
]
},
"llm_provider": "openai",
"llm_provider_config": {
"base_url": "<string>",
"custom_config": {},
"model": "gpt-4o-mini"
},
"llm_settings": {
"frequency_penalty": 0,
"max_tokens": 1000,
"presence_penalty": 0,
"stop_sequences": [
"<string>"
],
"system_prompt": "You are a helpful assistant that can answer questions and help with tasks.",
"temperature": 0.5,
"top_p": 1,
"welcome_message": "<string>"
},
"max_idle_messages": 123,
"playbook_ids": [
123
],
"rag_settings": {
"auto_process": true,
"chunk_overlap": 200,
"chunk_size": 1000,
"chunking_strategy": "recursive",
"context_budget": 8000,
"context_window_tokens": 4000,
"embedding_model": "text-embedding-3-small",
"enabled": false,
"history_strategy": "sliding_window",
"include_metadata": true,
"max_history_turns": 20,
"max_prompt_doc_tokens": 2000,
"search_limit": 3,
"similarity_threshold": 0.7
},
"recording_settings": {
"consent_prompt": "",
"consent_required": false,
"record_assistant_audio": true,
"record_mixed_audio": true,
"record_user_audio": true,
"recording_enabled": true,
"recording_format": "mp3"
},
"stt_settings": {
"endpoint_latency_adjustment_level": 1,
"endpoint_sensitivity": 0,
"keyterms": [
"<string>"
],
"language": "en",
"language_hints": [
"<string>"
],
"model": "nova-3",
"provider": "deepgram",
"punctuate": true,
"smart_format": true,
"turn_detection": {
"max_endpointing_delay": 2.5,
"min_endpointing_delay": 0.3,
"mode": "turn_detector"
}
},
"tts_settings": {
"model_id": "<string>",
"provider": "elevenlabs",
"provider_config": {},
"voice_id": "<string>"
}
}
EOFimport requests
url = "https://qall.io/api/assistants"
payload = {
"name": "<string>",
"assigned_documents": [123],
"assigned_tools": [123],
"custom_settings": {},
"description": "<string>",
"idle_message": "Are you still there? I'm here to help if you need anything.",
"idle_timeout": 123,
"interruption_settings": {
"allow_interruptions": True,
"allow_welcome_interruption": True,
"false_interruption_timeout": 2,
"min_interruption_duration": 0.5,
"min_interruption_words": 1,
"resume_false_interruption": True
},
"is_active": True,
"llm_fallback_providers": {
"enabled": False,
"fallbacks": [
{
"provider": "<string>",
"api_key": "<string>",
"base_url": "<string>",
"model": "<string>"
}
]
},
"llm_provider": "openai",
"llm_provider_config": {
"base_url": "<string>",
"custom_config": {},
"model": "gpt-4o-mini"
},
"llm_settings": {
"frequency_penalty": 0,
"max_tokens": 1000,
"presence_penalty": 0,
"stop_sequences": ["<string>"],
"system_prompt": "You are a helpful assistant that can answer questions and help with tasks.",
"temperature": 0.5,
"top_p": 1,
"welcome_message": "<string>"
},
"max_idle_messages": 123,
"playbook_ids": [123],
"rag_settings": {
"auto_process": True,
"chunk_overlap": 200,
"chunk_size": 1000,
"chunking_strategy": "recursive",
"context_budget": 8000,
"context_window_tokens": 4000,
"embedding_model": "text-embedding-3-small",
"enabled": False,
"history_strategy": "sliding_window",
"include_metadata": True,
"max_history_turns": 20,
"max_prompt_doc_tokens": 2000,
"search_limit": 3,
"similarity_threshold": 0.7
},
"recording_settings": {
"consent_prompt": "",
"consent_required": False,
"record_assistant_audio": True,
"record_mixed_audio": True,
"record_user_audio": True,
"recording_enabled": True,
"recording_format": "mp3"
},
"stt_settings": {
"endpoint_latency_adjustment_level": 1,
"endpoint_sensitivity": 0,
"keyterms": ["<string>"],
"language": "en",
"language_hints": ["<string>"],
"model": "nova-3",
"provider": "deepgram",
"punctuate": True,
"smart_format": True,
"turn_detection": {
"max_endpointing_delay": 2.5,
"min_endpointing_delay": 0.3,
"mode": "turn_detector"
}
},
"tts_settings": {
"model_id": "<string>",
"provider": "elevenlabs",
"provider_config": {},
"voice_id": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"name": "<string>",
"organization_id": 123,
"updated_at": "2023-11-07T05:31:56Z",
"user_id": 123,
"assigned_documents": [
123
],
"assigned_tools": [
123
],
"custom_settings": {},
"description": "<string>",
"idle_message": "Are you still there? I'm here to help if you need anything.",
"idle_timeout": 123,
"interruption_settings": {
"allow_interruptions": true,
"allow_welcome_interruption": true,
"false_interruption_timeout": 2,
"min_interruption_duration": 0.5,
"min_interruption_words": 1,
"resume_false_interruption": true
},
"is_active": true,
"llm_fallback_providers": {
"enabled": false,
"fallbacks": [
{
"provider": "<string>",
"api_key": "<string>",
"base_url": "<string>",
"model": "<string>"
}
]
},
"llm_provider": "openai",
"llm_provider_config": {
"base_url": "<string>",
"custom_config": {},
"model": "gpt-4o-mini"
},
"llm_settings": {
"frequency_penalty": 0,
"max_tokens": 1000,
"presence_penalty": 0,
"stop_sequences": [
"<string>"
],
"system_prompt": "You are a helpful assistant that can answer questions and help with tasks.",
"temperature": 0.5,
"top_p": 1,
"welcome_message": "<string>"
},
"max_idle_messages": 123,
"playbook_ids": [
123
],
"rag_settings": {
"auto_process": true,
"chunk_overlap": 200,
"chunk_size": 1000,
"chunking_strategy": "recursive",
"context_budget": 8000,
"context_window_tokens": 4000,
"embedding_model": "text-embedding-3-small",
"enabled": false,
"history_strategy": "sliding_window",
"include_metadata": true,
"max_history_turns": 20,
"max_prompt_doc_tokens": 2000,
"search_limit": 3,
"similarity_threshold": 0.7
},
"recording_settings": {
"consent_prompt": "",
"consent_required": false,
"record_assistant_audio": true,
"record_mixed_audio": true,
"record_user_audio": true,
"recording_enabled": true,
"recording_format": "mp3"
},
"stt_settings": {
"endpoint_latency_adjustment_level": 1,
"endpoint_sensitivity": 0,
"keyterms": [
"<string>"
],
"language": "en",
"language_hints": [
"<string>"
],
"model": "nova-3",
"provider": "deepgram",
"punctuate": true,
"smart_format": true,
"turn_detection": {
"max_endpointing_delay": 2.5,
"min_endpointing_delay": 0.3,
"mode": "turn_detector"
}
},
"tts_settings": {
"model_id": "<string>",
"provider": "elevenlabs",
"provider_config": {},
"voice_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Create Assistant
curl --request POST \
--url https://qall.io/api/assistants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"name": "<string>",
"assigned_documents": [
123
],
"assigned_tools": [
123
],
"custom_settings": {},
"description": "<string>",
"idle_message": "Are you still there? I'm here to help if you need anything.",
"idle_timeout": 123,
"interruption_settings": {
"allow_interruptions": true,
"allow_welcome_interruption": true,
"false_interruption_timeout": 2,
"min_interruption_duration": 0.5,
"min_interruption_words": 1,
"resume_false_interruption": true
},
"is_active": true,
"llm_fallback_providers": {
"enabled": false,
"fallbacks": [
{
"provider": "<string>",
"api_key": "<string>",
"base_url": "<string>",
"model": "<string>"
}
]
},
"llm_provider": "openai",
"llm_provider_config": {
"base_url": "<string>",
"custom_config": {},
"model": "gpt-4o-mini"
},
"llm_settings": {
"frequency_penalty": 0,
"max_tokens": 1000,
"presence_penalty": 0,
"stop_sequences": [
"<string>"
],
"system_prompt": "You are a helpful assistant that can answer questions and help with tasks.",
"temperature": 0.5,
"top_p": 1,
"welcome_message": "<string>"
},
"max_idle_messages": 123,
"playbook_ids": [
123
],
"rag_settings": {
"auto_process": true,
"chunk_overlap": 200,
"chunk_size": 1000,
"chunking_strategy": "recursive",
"context_budget": 8000,
"context_window_tokens": 4000,
"embedding_model": "text-embedding-3-small",
"enabled": false,
"history_strategy": "sliding_window",
"include_metadata": true,
"max_history_turns": 20,
"max_prompt_doc_tokens": 2000,
"search_limit": 3,
"similarity_threshold": 0.7
},
"recording_settings": {
"consent_prompt": "",
"consent_required": false,
"record_assistant_audio": true,
"record_mixed_audio": true,
"record_user_audio": true,
"recording_enabled": true,
"recording_format": "mp3"
},
"stt_settings": {
"endpoint_latency_adjustment_level": 1,
"endpoint_sensitivity": 0,
"keyterms": [
"<string>"
],
"language": "en",
"language_hints": [
"<string>"
],
"model": "nova-3",
"provider": "deepgram",
"punctuate": true,
"smart_format": true,
"turn_detection": {
"max_endpointing_delay": 2.5,
"min_endpointing_delay": 0.3,
"mode": "turn_detector"
}
},
"tts_settings": {
"model_id": "<string>",
"provider": "elevenlabs",
"provider_config": {},
"voice_id": "<string>"
}
}
EOFimport requests
url = "https://qall.io/api/assistants"
payload = {
"name": "<string>",
"assigned_documents": [123],
"assigned_tools": [123],
"custom_settings": {},
"description": "<string>",
"idle_message": "Are you still there? I'm here to help if you need anything.",
"idle_timeout": 123,
"interruption_settings": {
"allow_interruptions": True,
"allow_welcome_interruption": True,
"false_interruption_timeout": 2,
"min_interruption_duration": 0.5,
"min_interruption_words": 1,
"resume_false_interruption": True
},
"is_active": True,
"llm_fallback_providers": {
"enabled": False,
"fallbacks": [
{
"provider": "<string>",
"api_key": "<string>",
"base_url": "<string>",
"model": "<string>"
}
]
},
"llm_provider": "openai",
"llm_provider_config": {
"base_url": "<string>",
"custom_config": {},
"model": "gpt-4o-mini"
},
"llm_settings": {
"frequency_penalty": 0,
"max_tokens": 1000,
"presence_penalty": 0,
"stop_sequences": ["<string>"],
"system_prompt": "You are a helpful assistant that can answer questions and help with tasks.",
"temperature": 0.5,
"top_p": 1,
"welcome_message": "<string>"
},
"max_idle_messages": 123,
"playbook_ids": [123],
"rag_settings": {
"auto_process": True,
"chunk_overlap": 200,
"chunk_size": 1000,
"chunking_strategy": "recursive",
"context_budget": 8000,
"context_window_tokens": 4000,
"embedding_model": "text-embedding-3-small",
"enabled": False,
"history_strategy": "sliding_window",
"include_metadata": True,
"max_history_turns": 20,
"max_prompt_doc_tokens": 2000,
"search_limit": 3,
"similarity_threshold": 0.7
},
"recording_settings": {
"consent_prompt": "",
"consent_required": False,
"record_assistant_audio": True,
"record_mixed_audio": True,
"record_user_audio": True,
"recording_enabled": True,
"recording_format": "mp3"
},
"stt_settings": {
"endpoint_latency_adjustment_level": 1,
"endpoint_sensitivity": 0,
"keyterms": ["<string>"],
"language": "en",
"language_hints": ["<string>"],
"model": "nova-3",
"provider": "deepgram",
"punctuate": True,
"smart_format": True,
"turn_detection": {
"max_endpointing_delay": 2.5,
"min_endpointing_delay": 0.3,
"mode": "turn_detector"
}
},
"tts_settings": {
"model_id": "<string>",
"provider": "elevenlabs",
"provider_config": {},
"voice_id": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"name": "<string>",
"organization_id": 123,
"updated_at": "2023-11-07T05:31:56Z",
"user_id": 123,
"assigned_documents": [
123
],
"assigned_tools": [
123
],
"custom_settings": {},
"description": "<string>",
"idle_message": "Are you still there? I'm here to help if you need anything.",
"idle_timeout": 123,
"interruption_settings": {
"allow_interruptions": true,
"allow_welcome_interruption": true,
"false_interruption_timeout": 2,
"min_interruption_duration": 0.5,
"min_interruption_words": 1,
"resume_false_interruption": true
},
"is_active": true,
"llm_fallback_providers": {
"enabled": false,
"fallbacks": [
{
"provider": "<string>",
"api_key": "<string>",
"base_url": "<string>",
"model": "<string>"
}
]
},
"llm_provider": "openai",
"llm_provider_config": {
"base_url": "<string>",
"custom_config": {},
"model": "gpt-4o-mini"
},
"llm_settings": {
"frequency_penalty": 0,
"max_tokens": 1000,
"presence_penalty": 0,
"stop_sequences": [
"<string>"
],
"system_prompt": "You are a helpful assistant that can answer questions and help with tasks.",
"temperature": 0.5,
"top_p": 1,
"welcome_message": "<string>"
},
"max_idle_messages": 123,
"playbook_ids": [
123
],
"rag_settings": {
"auto_process": true,
"chunk_overlap": 200,
"chunk_size": 1000,
"chunking_strategy": "recursive",
"context_budget": 8000,
"context_window_tokens": 4000,
"embedding_model": "text-embedding-3-small",
"enabled": false,
"history_strategy": "sliding_window",
"include_metadata": true,
"max_history_turns": 20,
"max_prompt_doc_tokens": 2000,
"search_limit": 3,
"similarity_threshold": 0.7
},
"recording_settings": {
"consent_prompt": "",
"consent_required": false,
"record_assistant_audio": true,
"record_mixed_audio": true,
"record_user_audio": true,
"recording_enabled": true,
"recording_format": "mp3"
},
"stt_settings": {
"endpoint_latency_adjustment_level": 1,
"endpoint_sensitivity": 0,
"keyterms": [
"<string>"
],
"language": "en",
"language_hints": [
"<string>"
],
"model": "nova-3",
"provider": "deepgram",
"punctuate": true,
"smart_format": true,
"turn_detection": {
"max_endpointing_delay": 2.5,
"min_endpointing_delay": 0.3,
"mode": "turn_detector"
}
},
"tts_settings": {
"model_id": "<string>",
"provider": "elevenlabs",
"provider_config": {},
"voice_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Schema for creating a new assistant.
Assigned document IDs (sync list)
Assigned tool IDs (enabled).
Settings for call interruption behavior.
Show child attributes
Show child attributes
Settings for LLM fallback providers.
Show child attributes
Show child attributes
LLM provider: openai, anthropic, gemini, xai, groq, custom
Configuration for the selected LLM provider.
Show child attributes
Show child attributes
Settings for the Large Language Model.
Show child attributes
Show child attributes
Settings for Retrieval-Augmented Generation (RAG).
Show child attributes
Show child attributes
Recording Settings
Show child attributes
Show child attributes
Settings for Speech-to-Text (STT) service.
Show child attributes
Show child attributes
Settings for Text-to-Speech (TTS) service.
Show child attributes
Show child attributes
Response
Successful Response
Schema for assistant response.
Assigned document IDs (sync list)
Assigned tool IDs (enabled).
Settings for call interruption behavior.
Show child attributes
Show child attributes
Settings for LLM fallback providers.
Show child attributes
Show child attributes
LLM provider: openai, anthropic, gemini, xai, groq, custom
Configuration for the selected LLM provider.
Show child attributes
Show child attributes
Settings for the Large Language Model.
Show child attributes
Show child attributes
Settings for Retrieval-Augmented Generation (RAG).
Show child attributes
Show child attributes
Recording Settings
Show child attributes
Show child attributes
Settings for Speech-to-Text (STT) service.
Show child attributes
Show child attributes
Settings for Text-to-Speech (TTS) service.
Show child attributes
Show child attributes